
From: Andrew Morton <akpm@osdl.org>

Cc: Samuel Thibault <samuel.thibault@ens-lyon.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/console/vgacon.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

diff -puN drivers/video/console/vgacon.c~vga-text-console-and-stty-cols-rows-tidy drivers/video/console/vgacon.c
--- devel/drivers/video/console/vgacon.c~vga-text-console-and-stty-cols-rows-tidy	2005-09-04 13:29:31.000000000 -0700
+++ devel-akpm/drivers/video/console/vgacon.c	2005-09-04 13:29:31.000000000 -0700
@@ -498,7 +498,8 @@ static void vgacon_cursor(struct vc_data
 }
 
 static int vgacon_doresize(struct vc_data *c,
-		unsigned int width, unsigned int height) {
+		unsigned int width, unsigned int height)
+{
 	unsigned long flags;
 	unsigned int scanlines = height * c->vc_font.height;
 	u8 scanlines_lo, r7, vsync_end, mode;
@@ -562,7 +563,8 @@ static int vgacon_switch(struct vc_data 
 
 	if (!vga_is_gfx) {
 		scr_memcpyw((u16 *) c->vc_origin, (u16 *) c->vc_screenbuf,
-			    c->vc_screenbuf_size > vga_vram_size ? vga_vram_size : c->vc_screenbuf_size);
+			    c->vc_screenbuf_size > vga_vram_size ?
+				vga_vram_size : c->vc_screenbuf_size);
 		vgacon_doresize(c, c->vc_cols, c->vc_rows);
 	}
 
@@ -1015,7 +1017,9 @@ static int vgacon_font_get(struct vc_dat
 
 #endif
 
-static int vgacon_resize(struct vc_data *c, unsigned int width, unsigned int height) {
+static int vgacon_resize(struct vc_data *c, unsigned int width,
+				unsigned int height)
+{
 	if (width % 2 || width > ORIG_VIDEO_COLS || height > ORIG_VIDEO_LINES)
 		return -EINVAL;
 
_
